org.apache.ignite.internal.processors.bulkload

## Class BulkLoadFormat

- java.lang.Object
- - org.apache.ignite.internal.processors.bulkload.BulkLoadFormat

Direct Known Subclasses:
  BulkLoadCsvFormat

    public abstract class BulkLoadFormat
    extends Object

A superclass and a factory for bulk load format options.

### Field Summary

Fields
`static Charset` `DEFAULT_INPUT_CHARSET` The default input charset.

### Constructor Summary

Constructors
Constructor and Description
`BulkLoadFormat()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract String` `name()` Returns the format name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_INPUT_CHARSET

    public static final Charset DEFAULT_INPUT_CHARSET

The default input charset.

### Constructor Detail

#### BulkLoadFormat

    public BulkLoadFormat()

### Method Detail

#### name

    public abstract String name()

Returns the format name.

Returns:
  The format name.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021